org.apache.lucene.codecs.blocktreeords

## Class BlockTreeOrdsPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.blocktreeords.BlockTreeOrdsPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class BlockTreeOrdsPostingsFormat
    extends PostingsFormat

Uses `OrdsBlockTreeTermsWriter` with `Lucene84PostingsWriter`.

### Field Summary

Fields
`static int` `BLOCK_SIZE` Fixed packed block size, number of integers encoded in a single packed block.

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`BlockTreeOrdsPostingsFormat()` Creates `Lucene41PostingsFormat` with default settings.
`BlockTreeOrdsPostingsFormat(int minTermBlockSize, int maxTermBlockSize)` Creates `Lucene41PostingsFormat` with custom values for `minBlockSize` and `maxBlockSize` passed to block terms dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BLOCK_SIZE

    public static final int BLOCK_SIZE

Fixed packed block size, number of integers encoded in a single packed block.

See Also:
  Constant Field Values

### Constructor Detail

#### BlockTreeOrdsPostingsFormat

    public BlockTreeOrdsPostingsFormat()

Creates `Lucene41PostingsFormat` with default settings.

#### BlockTreeOrdsPostingsFormat

    public BlockTreeOrdsPostingsFormat(int minTermBlockSize,
                                       int maxTermBlockSize)

Creates `Lucene41PostingsFormat` with custom values for `minBlockSize` and `maxBlockSize` passed to block terms dictionary.

See Also:
  `OrdsBlockTreeTermsWriter.OrdsBlockTreeTermsWriter(SegmentWriteState,PostingsWriterBase,int,int)`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PostingsFormat`

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`